<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @property mixed id
 */
class Address extends Model
{
    //use soft delete
    use SoftDeletes;

    protected $fillable = [
        'status',	'address'	,'user_id'	,'country_id',	'city_id'
    ];

    public function country()
    {
        return $this->belongsTo(Country::class)->withTrashed();
    }

    public function city()
    {
        return $this->belongsTo(City::class)->withTrashed();
    }
}
